%global npm_name cookie
%global enable_tests 0

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       cookie parsing and serialization
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       0.1.0
Release:       2%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/shtylman/node-cookie
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: %{?scl_prefix}nodejs-devel
BuildArch:     noarch

%description
cookie is a basic cookie parser and serializer. 
It doesn't make assumptions about how you are going to deal 
with your cookies. It basically just provides a way to read 
and write the HTTP cookie headers.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 0.1.0-2
- Add support for software collections

* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 0.1.0-1
- Initial Build
